Registrations: Open.
Please register here.

.htpassword solution with Apache 2.4

All MAMP discussions around troubleshooting and anything related to MAMP. Be as detailed as possible here when posting an issue.
Post Reply
FranckS
Posts: 5
Joined: Mon Jul 19, 2021 3:56 pm

.htpassword solution with Apache 2.4

Post by FranckS »

Hi from France.
I know that it's not an Apache forum but I'm searching for a solution to make a .htpassword authentication functional with MAMP Pro 6.4 and Apache 2.4.
This it the code I used to have with previous versions in additional parameters for Directory directive

AuthType Basic
AuthName "Munki Repository"
AuthUserFile /Users/Shared/Shared_Items/hostname/munki_repo/.htpasswd
Require valid-user

With the upgrade, those lines are commented.
If you uncomment these lines, the authentication is no more required (even not asked).
It's not mandatory in my case to use a .htpasswd.
I just need that a login/password can be sent to the Apache server to protect the data access.
See you !
Franck
FranckS
Posts: 5
Joined: Mon Jul 19, 2021 3:56 pm

Re: .htpassword solution with Apache 2.4

Post by FranckS »

Hi.
Someone gave me an answer : https://serverfault.com/questions/10700 ... entication
It's working as expected from the clients which is the primary need.
See you !
Franck
User avatar
mampsupportmod
Site Admin
Posts: 88
Joined: Wed Jan 20, 2021 3:06 am

Re: .htpassword solution with Apache 2.4

Post by mampsupportmod »

Thanks for sharing
Post Reply